Page MenuHomePhabricator

Goal: Successful start of all GSoC / Outreachy projects
Closed, ResolvedPublic

Description

Goal: All Google-Summer-of-Code (2015) and Outreachy-Round-10 selected projects have completed the bonding period successfully, and all the interns have received their first payment.

In order to complete the bonding period, each intern needs to create a subtask, associate it to its brand new Phabricator project, and assign it to their primary mentor.

Title of the subtask: Community bonding evaluation for (your project name)

Description: (Edit this task and copy the source)

  • Detailed plan agreed with mentors: (link)
  • Phabricator project created: (mention)
  • Meetings with mentors started: (dates of meetings celebrated so far along with the minutes of the meeting (need not be very long) )
  • Bonding period report published: (link)

The detailed plan can be kept in the original project idea task itself which can be modified as per discussions with mentors. Move over the contents of the proposal task to the project idea task as well to keep everything in the same place.

A typical bonding period report might contain:

  • Work done (environment setup, links to patches merged etc.)
  • Lessons learnt
  • Problems faced and solutions found
  • Any changes to the original plan
  • Minimum Viable Product for the project decided
  • Communication plan with mentor decided

Some example reports from previous round: Link 1, Link 2

Related Objects

StatusAssignedTask
Resolved Qgil
Resolved Qgil
ResolvedNiharika
ResolvedNiharika
Resolved Qgil
Declined Qgil
Declined Qgil
Declined Qgil
DeclinedDrbug
DeclinedAlexCella
ResolvedDeskana
ResolvedLydia_Pintscher
ResolvedLydia_Pintscher
Resolved Qgil
DeclinedTgr
ResolvedNiharika
ResolvedNiharika
Resolved Qgil
ResolvedNiharika
Resolved01tonythomas
DuplicateTinaj1234
ResolvedMooeypoo
Resolved yuvipanda
ResolvedNikerabbit
ResolvedNemo_bis
ResolvedDicortazar
ResolvedJdlrobson
Resolvedjayvdb
ResolvedNone
Resolvedjayvdb
ResolvedNone
Resolvedhappy5214
ResolvedAmire80
ResolvedAnkita-ks
ResolvedYaron_Koren

Event Timeline

Qgil created this task.Mar 27 2015, 1:27 PM
Qgil assigned this task to Niharika.
Qgil raised the priority of this task from to Low.
Qgil updated the task description. (Show Details)
Qgil added a subscriber: Qgil.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 27 2015, 1:27 PM
Sitic added a subscriber: Sitic.Mar 27 2015, 4:56 PM
Qgil updated the task description. (Show Details)Apr 27 2015, 1:43 PM

@NiharikaKohli, I just outsourced the creation of all the evaluation tasks to the own interns. Until now I had created them, but while this is a boring administrative for an org admin, it is good practice for new interns.

@Qgil, what are the things we are strictly restricting to Phabricator and what do we intend to do only on wiki pages?

I'd personally prefer Phabricator for most things. It makes one feel more accountable and is easier to keep track of things. We can make students publish their wrap-up reports on the wiki when the project ends. What do you think?

I'm fine keeping everything in Phabricator for simplicity, including the community bonding report and the weekly reports, except

  • what if we ask all interns to introduce themselves in wikitech-l during the bonding period? We could give them minimum requirements to avoid the usual mistakes: descriptive subject, links to Phabricator project and main task with the description, hints to watch the activity and get involved...
  • the wrap up report could be a post in the Wikimedia blog. This would incentivate the interns, and the drafting period would allow us to avoid the common mistakes i.e. no links, no screenshots...

@Qgil, I'm a bit unclear on how the bonding period report differs from the bonding period evaluation task itself. And I was wondering if instead of adding a link to the detailed plan, adding the detailed plan itself to the task made more sense?
So it would look something like -

  • Detailed plan
  • Dates of meetings so far (preferably with a few lines of minutes from each meeting)
  • Link to phabricator project created

What do you think?

The bonding period evaluation task will be closed by the end of the bonding period, and therefore it is not good to insert there information that will be valuable and most probably updated during the project cycle.

The wrap-up report could be a better candidate to be listed in the own community bond evaluation task, but then again I think it is useful to have it together with the weekly reports...

Then how about keeping the detailed plan in the student proposals itself? They are already pretty detailed and we can encourage them to add stuff to that task itself.
The part I was unclear about is - what's the expected content of a bonding period report?

Keeping the plan in the student's proposal makes sense, since it's already there, yes.

The community bonding period lasts several weeks. What have you done? What have you learned? Any unexpected problems, positive surprises, changes to the original plan...?

There are good examples of community bonding reports among our previous OPW round interns.

Niharika updated the task description. (Show Details)Apr 28 2015, 2:43 PM

I updated the task accordingly.

@Sitic, @Sumit, @happy5214, @ferdbold, @Sarvesh.onlyme, @Ankita-ks, @polybuildr, @VcamX, @Phoenix303
Let's all make a task for community bonding evaluation as described above.
You'd also need to set up a weekly meeting schedule with your mentor. It's okay if not all of the meetings are as conpherence calls, but we'd prefer most of them are. If you don't know what conpherence is, check out the blocking task.
Feel free to ask here if you have any doubts.

Niharika moved this task from Backlog to Doing on the ECT-April-2015 board.Apr 28 2015, 5:51 PM

As your plans are defined, you will start needing new tasks to track specific goals. Here you have some advice on how to bootstrap your projects in Phabricator:

https://www.mediawiki.org/wiki/Outreach_programs/Life_of_a_successful_project#Bootstrapping_a_project

@Sumit, @happy5214, @Ankita-ks, @polybuildr, @VcamX Ping. We're eight days into the community bonding period already. Create a subtask and get your project setup in Phabricator as soon as possible.

I just added a section on Reporting, compiling the advice I had given here and there in past programs: https://www.mediawiki.org/wiki/Outreach_programs/Life_of_a_successful_project#Reporting

Just so everybody knows - community bonding period ends on May 25 by when your bonding period report must be published and your Phabricator project must be created. I strongly advise you to schedule regular meetings with your mentor(s). It'd be very helpful over the course of your project.

If you have any questions, feel free to ask.

Four days more for Community Bonding period to end. I hope everyone's working on their reports. :)

Niharika updated the task description. (Show Details)May 23 2015, 9:16 AM
Niharika closed this task as Resolved.Jun 15 2015, 9:17 AM

Woot, all done! Great work everyone. :)